Subject: [alpine-aports] [PATCH] main/razor: race condition in s390x

From: "Tuan M. Hoang" <[email-masked]>
Date: Sun, 9 Apr 2017 02:34:14 -0400

Files in blib/man5/ are touch before the directory is created

---
 main/razor/APKBUILD | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/main/razor/APKBUILD b/main/razor/APKBUILD
index f84a0248..3ecd360d 100644
--- a/main/razor/APKBUILD
+++ b/main/razor/APKBUILD
@@ -19,7 +19,7 @@ build() {
 	cd "$srcdir/$_realname-$pkgver"
 
 	PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor || return 1
-	make || return 1
+	make -j1 || return 1
 }
 
 package() {
-- 
2.12.2

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---

---

From: "Tuan M. Hoang" <[email-masked]>
Date: Sun, 9 Apr 2017 12:08:37 -0400

Modernize APKBUILD

---
 main/razor/APKBUILD | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/main/razor/APKBUILD b/main/razor/APKBUILD
index f84a024800..ebeb381c8f 100644
--- a/main/razor/APKBUILD
+++ b/main/razor/APKBUILD
@@ -18,8 +18,8 @@ source="http://downloads.sourceforge.net/razor/razor-agents/$_realname-$pkgver.t
 build() {
 	cd "$srcdir/$_realname-$pkgver"
 
-	PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor || return 1
-	make || return 1
+	PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor
+	make -j1
 }
 
 package() {
-- 
2.12.2

---